spandsp 0.0.6

oki_adpcm_state_s Struct Reference

`#include <oki_adpcm.h>`

## Public Attributes
int | bit_rate
| The bit rate - 24000 or 32000.
int16_t | last
| The last state of the ADPCM algorithm.
int16_t | step_index
| Current index into the step size table.
uint8_t | oki_byte
| The compressed data byte in progress.
int16_t | history [32]
| The signal history for the sample rate converter.
int | ptr
| Pointer into the history buffer.
int | mark
| Odd/even sample counter.
int | phase
| Phase accumulator for the sample rate converter.

## Detailed Description

Oki (Dialogic) ADPCM conversion state descriptor. This defines the state of a single working instance of the Oki ADPCM converter. This is used for either linear to ADPCM or ADPCM to linear conversion.

The documentation for this struct was generated from the following file:

- private/oki_adpcm.h